Loading...
Searching...
No Matches
ARC_Hashtable Struct Reference

## Data Fields

uint32_t | size
ARC_HashtableNode ** | nodes
ARC_Hashtable_Hash | hash
ARC_Hashtable_KeyCompare | compare

## Detailed Description

Definition at line 7 of file hashtable.c.

## Field Documentation

## compare

ARC_Hashtable_KeyCompare ARC_Hashtable::compare

Definition at line 11 of file hashtable.c.

Referenced by ARC_Hashtable_Add(), ARC_Hashtable_Get(), and ARC_Hashtable_Remove().

## hash

ARC_Hashtable_Hash ARC_Hashtable::hash

Definition at line 10 of file hashtable.c.

Referenced by ARC_Hashtable_Add(), ARC_Hashtable_Get(), and ARC_Hashtable_Remove().

## nodes

ARC_HashtableNode** ARC_Hashtable::nodes

Definition at line 9 of file hashtable.c.

Referenced by ARC_Hashtable_Add(), ARC_Hashtable_Destroy(), ARC_Hashtable_Get(), and ARC_Hashtable_Remove().

## size

uint32_t ARC_Hashtable::size

Definition at line 8 of file hashtable.c.

Referenced by ARC_Hashtable_Add(), ARC_Hashtable_Create(), ARC_Hashtable_Destroy(), ARC_Hashtable_Get(), and ARC_Hashtable_Remove().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/src/std/hashtable.c